package com.unis.interactiveCommunication.modular.icPublicOpinionCollect.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author hjc
 * @date 2024/7/30 11:02
 */
@Data
public class IcPublicOpinionAuditStatusParam {


    /** 留言记录唯一标识符 */
    @ApiModelProperty(value = "留言记录唯一标识符", required = true)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 状态 0：未审核；1：审核通过；2：审核不通过； */
    @ApiModelProperty(value = "状态 1：审核通过；2：审核不通过；", position = 10)
    @NotNull(message = "审核状态不能为空")
    private Integer auditStatus;
}
